/** Contains some helpers to extend the focus utils in @chakra-ui/utils */
declare enum Focus {
    /** Focus the first non-disabled element */
    First = 1,
    /** Focus the previous non-disabled element */
    Previous = 2,
    /** Focus the next non-disabled element */
    Next = 4,
    /** Focus the last non-disabled element */
    Last = 8,
    /** Wrap tab around */
    WrapAround = 16,
    /** Prevent scrolling the focusable elements into view */
    NoScroll = 32
}
declare enum FocusResult {
    Error = 0,
    Overflow = 1,
    Success = 2,
    Underflow = 3
}
declare function focusElement(element: HTMLElement | null): void;
declare function focusIn(container: HTMLElement | HTMLElement[], focus: Focus): FocusResult;

export { Focus, FocusResult, focusElement, focusIn };
